KDE 4.7 PyKDE API Reference

- KDE's Python API

# MessageThreadingAttribute Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Attribute
Namespace: Akonadi

## Detailed Description

Message threading information. Used eg. by MessageThreaderProxyModel

Deprecated:
  This attribute is not used for threading and will not work. Use the messagelist component in the kdepim module instead.

## Methods
| __init__ (self)
Akonadi.MessageThreadingAttribute | clone (self)
| deserialize (self, QByteArray data)
[long] | perfectParents (self)
QByteArray | serialized (self)
| setPerfectParents (self, [long] parents)
| setSubjectParents (self, [long] parents)
| setUnperfectParents (self, [long] parents)
[long] | subjectParents (self)
QByteArray | type (self)
[long] | unperfectParents (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates an empty threading attribute.

Akonadi.MessageThreadingAttribute clone | ( |  | self ) |

deserialize | ( | self, |
|  | QByteArray | data
| ) |  |  |

[long] perfectParents | ( |  | self ) |

Returns the list of perfect parent message ids.

QByteArray serialized | ( |  | self ) |

setPerfectParents | ( | self, |
|  | [long] | parents
| ) |  |  |

Sets the list of perfect parent message ids.

setSubjectParents | ( | self, |
|  | [long] | parents
| ) |  |  |

Sets the list of possible parent message ids based on analyzing the subject.

setUnperfectParents | ( | self, |
|  | [long] | parents
| ) |  |  |

Sets the list of non-perfect parent message ids.

[long] subjectParents | ( |  | self ) |

Returns the list of possible parent message ids based on analyzing the subject.

QByteArray type | ( |  | self ) |

[long] unperfectParents | ( |  | self ) |

Returns the list of non-perfect parent message ids.